import java.awt.*;
import java.awt.event.*;
import java.awt.dnd.*;
import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.util.List;

class MainWindow extends Frame
{
	public MainWindow()
	{
		super("Drag And Drop Test");

		// EChEXi̒ǉ
		WindowListener listener = new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				System.exit(0);
			}
		};
		addWindowListener(listener);

		// x̍\z
		Label lbl = new Label("Please Drop here.",Label.CENTER);

		// hbv^[Qbg̒`
		DropTarget target = new DropTarget(lbl,DnDConstants.ACTION_REFERENCE,new DropTargetListener()
		{
			public void dragEnter(DropTargetDragEvent enter)
			{
			}

			public void dragOver(DropTargetDragEvent over)
			{
			}

			public void dropActionChanged(DropTargetDragEvent action)
			{
			}

			public void dragExit(DropTargetEvent exit)
			{
			}

			// hbvꂽɃR[
			public void drop(DropTargetDropEvent drop)
			{
				try
				{
					Transferable transfer = drop.getTransferable();
					if(transfer.isDataFlavorSupported(DataFlavor.javaFileListFlavor))
					{
						// hbvꂽf[^̎擾
						drop.acceptDrop(DnDConstants.ACTION_REFERENCE);
						List file_list = (List)transfer.getTransferData(DataFlavor.javaFileListFlavor);
						for(int i=0;i<file_list.size();i++)
						{
							String file_name = file_list.get(i).toString();
							new FileInfoDialog(MainWindow.this,file_name);
						}
						drop.getDropTargetContext().dropComplete(true);
					}
				}
				catch(Exception e)
				{
					System.err.println(e);
				}
			}
		});

		add(lbl,BorderLayout.CENTER);

		setSize(150,150);
		setVisible(true);
	}
}