import java.awt.*;
import java.awt.event.*;
import java.io.File;

class FileInfoDialog extends Dialog
{
	public FileInfoDialog(Frame frame,String file_path)
	{
		super(frame,"File Information Dialog");

		// EChEXi̒ǉ
		WindowListener listener = new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				setVisible(false);
			}
		};
		addWindowListener(listener);

		// t@C̎擾
		File file = new File(file_path);
		String file_name = file.getName();
		long size = file.length();

		// {^̍\z
		Button quit_button = new Button("OK");
		ActionListener listener_quit_button = new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				setVisible(false);
			}
		};
		quit_button.addActionListener(listener_quit_button);

		// pl̒`
		Panel center = new Panel();
		center.setLayout(new GridLayout(3,2));
		Label lbl_file_type = new Label("File Type",Label.CENTER);
		Label lbl_file_type_value;
		if(file.isDirectory())
		{
			lbl_file_type_value = new Label("Directory",Label.CENTER);
		}
		else
		{
			lbl_file_type_value = new Label("File",Label.CENTER);
		}
		Label lbl_file_name = new Label("File Name",Label.CENTER);
		Label lbl_file_name_value = new Label(file_name,Label.CENTER);
		Label lbl_file_size = new Label("File Size",Label.CENTER);
		Label lbl_file_size_value = new Label(new Long(size).toString() + "Byte",Label.CENTER);


		// plփx̒ǉ
		center.add(lbl_file_type);
		center.add(lbl_file_type_value);
		center.add(lbl_file_name);
		center.add(lbl_file_name_value);
		center.add(lbl_file_size);
		center.add(lbl_file_size_value);

		// pl̒`
		Panel south = new Panel();
		south.add(quit_button);
		south.setBackground(Color.white);

		// pl_CAO֒ǉ
		add(center,BorderLayout.CENTER);
		add(south,BorderLayout.SOUTH);

		// _CAO̕\
		setSize(240,120);
		setVisible(true);
	}
}